# Accounting API — Bank Feed Statements

> Canonical URL: https://developers.apideck.com/apis/accounting/reference#tag/Bank-Feed-Statements

This document contains every operation on the `Bank Feed Statements` resource.

---

# List Bank Feed Statements

> **Accounting API** · `GET /accounting/bank-feed-statements`
> Canonical URL: https://developers.apideck.com/apis/accounting/reference#tag/Bank-Feed-Statements/operation/bankFeedStatementsAll

List Bank Feed Statements

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `x-apideck-company-id` | header | `string` | No | The ID of the company to scope requests to. For connectors that support multi-company, this overrides the default company configured in connection settings. |
| `cursor` | query | `string` | No | Cursor to start from. You can find cursors for next/previous pages in the meta.cursors property of the response. |
| `limit` | query | `integer` | No | Number of results to return. Minimum 1, Maximum 200, Default 20 |
| `pass_through` | query | `object` | No | Optional unmapped key/values that will be passed through to downstream as query parameters. Ie: ?pass_through[search]=leads becomes ?search=leads |
| `fields` | query | `string` | No | The 'fields' parameter allows API users to specify the fields they want to include in the API response. If this parameter is not present, the API will return all available fields. If this parameter is present, only the fields specified in the comma-separated string will be included in the response. Nested properties can also be requested by using a dot notation. <br /><br />Example: `fields=name,email,addresses.city`<br /><br />In the example above, the response will only include the fields "name", "email" and "addresses.city". If any other fields are available, they will be excluded. |

### Responses

#### 200 — Bank Feed Statements

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `service` `string` **required** — Apideck ID of service provider — example: `quickbooks`
- `resource` `string` **required** — Unified API resource name — example: `bank-feed-statements`
- `operation` `string` **required** — Operation performed — example: `all`
- `data` `array of object` **required**
  - `id` `string` **required** — A unique identifier for an object. — example: `12345`
  - `bank_feed_account_id` `string` — The ID of the bank feed account this statement belongs to. — example: `acc_456`
  - `status` `string` — The current status of the bank feed statement. — enum: `pending`, `rejected`, `success` — example: `OK`
  - `start_date` `string` — Start date of the bank feed statement. — format: `date-time` — example: `2021-05-01T12:00:00.000Z`
  - `end_date` `string` — End date of the bank feed statement. — format: `date-time` — example: `2025-01-31T12:00:00.000Z`
  - `start_balance` `number` — Balance amount at the start of the period. — example: `10500.25`
  - `start_balance_credit_or_debit` `string` — Whether the amount is a credit or debit. — enum: `credit`, `debit` — example: `debit`
  - `end_balance` `number` — Balance amount at the end of the period. — example: `9800.5`
  - `end_balance_credit_or_debit` `string` — Whether the amount is a credit or debit. — enum: `credit`, `debit` — example: `debit`
  - `transactions` `array of object` — List of transactions in the bank feed statement.
    - `posted_date` `string` **required** — The date of the transaction - YYYY:MM::DDThh:mm:ss.sTZD — format: `date-time` — example: `2025-01-15T12:00:00.000Z`
    - `description` `string` — A description of the transaction. — example: `Payment received from ACME Corp`
    - `amount` `number` **required** — The amount of the transaction. — example: `250`
    - `credit_or_debit` `string` **required** — Whether the amount is a credit or debit. — enum: `credit`, `debit` — example: `debit`
    - `source_transaction_id` `string` **required** — The ID of the source transaction. — example: `txn_987`
    - `counterparty` `string` — The counterparty of the transaction. — example: `ACME Corp`
    - `reference` `string` — The reference of the transaction. — example: `INV-2025-01`
    - `transaction_type` `string` — Type of transaction. — enum: `credit`, `debit`, `deposit`, `transfer`, `payment`, `other` — example: `payment`
  - `created_at` `string` — The date and time when the object was created. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `created_by` `string` — The user who created the object. — example: `12345`
  - `updated_at` `string` — The date and time when the object was last updated. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `updated_by` `string` — The user who last updated the object. — example: `12345`
- `meta` `object` — Response metadata
  - `items_on_page` `integer` — Number of items returned in the data property of the response — example: `50`
  - `cursors` `object` — Cursors to navigate to previous or next pages through the API
    - `previous` `string` — Cursor to navigate to the previous page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjE=`
    - `current` `string` — Cursor to navigate to the current page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjI=`
    - `next` `string` — Cursor to navigate to the next page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjM=`
- `links` `object` — Links to navigate to previous or next pages through the API
  - `previous` `string` — Link to navigate to the previous page through the API — example: `https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjE%3D`
  - `current` `string` — Link to navigate to the current page through the API — example: `https://unify.apideck.com/crm/companies`
  - `next` `string` — Link to navigate to the previous page through the API — example: `https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjM`
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# Create Bank Feed Statement

> **Accounting API** · `POST /accounting/bank-feed-statements`
> Canonical URL: https://developers.apideck.com/apis/accounting/reference#tag/Bank-Feed-Statements/operation/bankFeedStatementsAdd

Create Bank Feed Statement

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `x-apideck-company-id` | header | `string` | No | The ID of the company to scope requests to. For connectors that support multi-company, this overrides the default company configured in connection settings. |

### Request Body

_Required._

- `id` `string` **required** — A unique identifier for an object. — example: `12345`
- `bank_feed_account_id` `string` — The ID of the bank feed account this statement belongs to. — example: `acc_456`
- `status` `string` — The current status of the bank feed statement. — enum: `pending`, `rejected`, `success` — example: `pending`
- `start_date` `string` — Start date of the bank feed statement. — format: `date-time` — example: `2021-05-01T12:00:00.000Z`
- `end_date` `string` — End date of the bank feed statement. — format: `date-time` — example: `2025-01-31T12:00:00.000Z`
- `start_balance` `number` — Balance amount at the start of the period. — example: `10500.25`
- `start_balance_credit_or_debit` `string` — Whether the amount is a credit or debit. — enum: `credit`, `debit` — example: `debit`
- `end_balance` `number` — Balance amount at the end of the period. — example: `9800.5`
- `end_balance_credit_or_debit` `string` — Whether the amount is a credit or debit. — enum: `credit`, `debit` — example: `debit`
- `transactions` `array of object` — List of transactions in the bank feed statement.
  - `posted_date` `string` **required** — The date of the transaction - YYYY:MM::DDThh:mm:ss.sTZD — format: `date-time` — example: `2025-01-15T12:00:00.000Z`
  - `description` `string` — A description of the transaction. — example: `Payment received from ACME Corp`
  - `amount` `number` **required** — The amount of the transaction. — example: `250`
  - `credit_or_debit` `string` **required** — Whether the amount is a credit or debit. — enum: `credit`, `debit` — example: `debit`
  - `source_transaction_id` `string` **required** — The ID of the source transaction. — example: `txn_987`
  - `counterparty` `string` — The counterparty of the transaction. — example: `ACME Corp`
  - `reference` `string` — The reference of the transaction. — example: `INV-2025-01`
  - `transaction_type` `string` — Type of transaction. — enum: `credit`, `debit`, `deposit`, `transfer`, `payment`, `other` — example: `payment`
- `created_at` `string` — The date and time when the object was created. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `created_by` `string` — The user who created the object. — example: `12345`
- `updated_at` `string` — The date and time when the object was last updated. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `updated_by` `string` — The user who last updated the object. — example: `12345`

### Responses

#### 201 — Bank Feed Statements

- `status_code` `integer` **required** — HTTP Response Status Code — example: `201`
- `status` `string` **required** — HTTP Response Status — example: `Created`
- `service` `string` **required** — Apideck ID of service provider — example: `xero`
- `resource` `string` **required** — Unified API resource name — example: `bills`
- `operation` `string` **required** — Operation performed — example: `add`
- `data` `object` **required** — A object containing a unique identifier for the resource that was created, updated, or deleted.
  - `id` `string` **required** — The unique identifier of the resource — example: `12345`
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# Get Bank Feed Statement

> **Accounting API** · `GET /accounting/bank-feed-statements/{id}`
> Canonical URL: https://developers.apideck.com/apis/accounting/reference#tag/Bank-Feed-Statements/operation/bankFeedStatementsOne

Get Bank Feed Statement

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | `string` | Yes | ID of the record you are acting upon. |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `x-apideck-company-id` | header | `string` | No | The ID of the company to scope requests to. For connectors that support multi-company, this overrides the default company configured in connection settings. |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |
| `fields` | query | `string` | No | The 'fields' parameter allows API users to specify the fields they want to include in the API response. If this parameter is not present, the API will return all available fields. If this parameter is present, only the fields specified in the comma-separated string will be included in the response. Nested properties can also be requested by using a dot notation. <br /><br />Example: `fields=name,email,addresses.city`<br /><br />In the example above, the response will only include the fields "name", "email" and "addresses.city". If any other fields are available, they will be excluded. |

### Responses

#### 200 — Bank Feed Statements

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `service` `string` **required** — Apideck ID of service provider — example: `quickbooks`
- `resource` `string` **required** — Unified API resource name — example: `bank-feed-statements`
- `operation` `string` **required** — Operation performed — example: `one`
- `data` `object` **required**
  - `id` `string` **required** — A unique identifier for an object. — example: `12345`
  - `bank_feed_account_id` `string` — The ID of the bank feed account this statement belongs to. — example: `acc_456`
  - `status` `string` — The current status of the bank feed statement. — enum: `pending`, `rejected`, `success` — example: `OK`
  - `start_date` `string` — Start date of the bank feed statement. — format: `date-time` — example: `2021-05-01T12:00:00.000Z`
  - `end_date` `string` — End date of the bank feed statement. — format: `date-time` — example: `2025-01-31T12:00:00.000Z`
  - `start_balance` `number` — Balance amount at the start of the period. — example: `10500.25`
  - `start_balance_credit_or_debit` `string` — Whether the amount is a credit or debit. — enum: `credit`, `debit` — example: `debit`
  - `end_balance` `number` — Balance amount at the end of the period. — example: `9800.5`
  - `end_balance_credit_or_debit` `string` — Whether the amount is a credit or debit. — enum: `credit`, `debit` — example: `debit`
  - `transactions` `array of object` — List of transactions in the bank feed statement.
    - `posted_date` `string` **required** — The date of the transaction - YYYY:MM::DDThh:mm:ss.sTZD — format: `date-time` — example: `2025-01-15T12:00:00.000Z`
    - `description` `string` — A description of the transaction. — example: `Payment received from ACME Corp`
    - `amount` `number` **required** — The amount of the transaction. — example: `250`
    - `credit_or_debit` `string` **required** — Whether the amount is a credit or debit. — enum: `credit`, `debit` — example: `debit`
    - `source_transaction_id` `string` **required** — The ID of the source transaction. — example: `txn_987`
    - `counterparty` `string` — The counterparty of the transaction. — example: `ACME Corp`
    - `reference` `string` — The reference of the transaction. — example: `INV-2025-01`
    - `transaction_type` `string` — Type of transaction. — enum: `credit`, `debit`, `deposit`, `transfer`, `payment`, `other` — example: `payment`
  - `created_at` `string` — The date and time when the object was created. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `created_by` `string` — The user who created the object. — example: `12345`
  - `updated_at` `string` — The date and time when the object was last updated. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `updated_by` `string` — The user who last updated the object. — example: `12345`
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# Delete Bank Feed Statement

> **Accounting API** · `DELETE /accounting/bank-feed-statements/{id}`
> Canonical URL: https://developers.apideck.com/apis/accounting/reference#tag/Bank-Feed-Statements/operation/bankFeedStatementsDelete

Delete Bank Feed Statement

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | `string` | Yes | ID of the record you are acting upon. |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |

### Responses

#### 200 — Bank Feed Statements

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `service` `string` **required** — Apideck ID of service provider — example: `quickbooks`
- `resource` `string` **required** — Unified API resource name — example: `bank-feed-statements`
- `operation` `string` **required** — Operation performed — example: `delete`
- `data` `object` **required** — A object containing a unique identifier for the resource that was created, updated, or deleted.
  - `id` `string` **required** — The unique identifier of the resource — example: `12345`
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# Update Bank Feed Statement

> **Accounting API** · `PATCH /accounting/bank-feed-statements/{id}`
> Canonical URL: https://developers.apideck.com/apis/accounting/reference#tag/Bank-Feed-Statements/operation/bankFeedStatementsUpdate

Update Bank Feed Statement

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | `string` | Yes | ID of the record you are acting upon. |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |

### Request Body

_Required._

- `id` `string` **required** — A unique identifier for an object. — example: `12345`
- `bank_feed_account_id` `string` — The ID of the bank feed account this statement belongs to. — example: `acc_456`
- `status` `string` — The current status of the bank feed statement. — enum: `pending`, `rejected`, `success` — example: `pending`
- `start_date` `string` — Start date of the bank feed statement. — format: `date-time` — example: `2021-05-01T12:00:00.000Z`
- `end_date` `string` — End date of the bank feed statement. — format: `date-time` — example: `2025-01-31T12:00:00.000Z`
- `start_balance` `number` — Balance amount at the start of the period. — example: `10500.25`
- `start_balance_credit_or_debit` `string` — Whether the amount is a credit or debit. — enum: `credit`, `debit` — example: `debit`
- `end_balance` `number` — Balance amount at the end of the period. — example: `9800.5`
- `end_balance_credit_or_debit` `string` — Whether the amount is a credit or debit. — enum: `credit`, `debit` — example: `debit`
- `transactions` `array of object` — List of transactions in the bank feed statement.
  - `posted_date` `string` **required** — The date of the transaction - YYYY:MM::DDThh:mm:ss.sTZD — format: `date-time` — example: `2025-01-15T12:00:00.000Z`
  - `description` `string` — A description of the transaction. — example: `Payment received from ACME Corp`
  - `amount` `number` **required** — The amount of the transaction. — example: `250`
  - `credit_or_debit` `string` **required** — Whether the amount is a credit or debit. — enum: `credit`, `debit` — example: `debit`
  - `source_transaction_id` `string` **required** — The ID of the source transaction. — example: `txn_987`
  - `counterparty` `string` — The counterparty of the transaction. — example: `ACME Corp`
  - `reference` `string` — The reference of the transaction. — example: `INV-2025-01`
  - `transaction_type` `string` — Type of transaction. — enum: `credit`, `debit`, `deposit`, `transfer`, `payment`, `other` — example: `payment`
- `created_at` `string` — The date and time when the object was created. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `created_by` `string` — The user who created the object. — example: `12345`
- `updated_at` `string` — The date and time when the object was last updated. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `updated_by` `string` — The user who last updated the object. — example: `12345`

### Responses

#### 200 — Bank Feed Statements

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `service` `string` **required** — Apideck ID of service provider — example: `quickbooks`
- `resource` `string` **required** — Unified API resource name — example: `bank-feed-statements`
- `operation` `string` **required** — Operation performed — example: `update`
- `data` `object` **required** — A object containing a unique identifier for the resource that was created, updated, or deleted.
  - `id` `string` **required** — The unique identifier of the resource — example: `12345`
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---
